GRANT EXECUTE ON SYS.DBMS_AQ to etcadmin
/
GRANT EXECUTE ON SYS.DBMS_AQADM to etcadmin
/
GRANT EXECUTE ON SYS.DBMS_AQIN to etcadmin
/
GRANT EXECUTE ON SYS.DBMS_AQjms to etcadmin
/
begin
dbms_aqadm.grant_system_privilege('ENQUEUE_ANY','etcadmin');
dbms_aqadm.grant_system_privilege('DEQUEUE_ANY','etcadmin');
end;
